<template>
  <div class="payroll_search">
    <div class="modal" v-bind:class="{ active: isActive }">
      <span @click="closePayRollSearch" class="modal-overlay" aria-label="Close"></span>
      <div class="modal-container" id ="modalContainer">
        <div class="modal-header">
          <div class="heading1" >
           <a v-on:click="closePayRollSearch" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">Previous Payroll</div>
          </div>
        </div>
        <div class="modal-body">
          <div class="modal_content" id="content">
            <div class="columns">for(for) {
              <div class="column         this.payRegister[i].name = this.data[i].employee_ids">
                <form>
                  <div class="coloums">
                    <div class="column col-6">
                      <div class="form-group">
                        <label class="form-label" for="startDate">Start Date</label>
                        <input class="form-input" type="date" id="startDate" placeholder="Name" v-model="startDate" />
                      </div>
                    </div>
                    <div class="column col-6">
                      <div class="form-group">
                        <label class="form-label" for="endDate">End Date</label>
                        <input class="form-input" type="date" id="endDate" placeholder="Name" v-model="endDate"/>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <div class="columns">
              <div class="column package-section top-actions">
                <span class="payslip-action">
                  <img src="images/icons/submit_blue_bg.svg" alt="Submit icon" class=""/> 
                  <span>Submit</span> 
                </span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'PayrollSearch',
  props:['display_payroll_search'],
  data() {
    return {
      isActive: this.display_payroll_search,
      startDate: "",
      endDate: "",
    }
  },
  methods: {
    closePayRollSearch(event) {
      event.preventDefault()
      this.isActive=false
      this.$emit("close");
    },
  }
}
</script>
<style scoped>
.payslip-action{
  margin-right: 20px;
  text-transform: uppercase
}
.payslip-action img{
  vertical-align: middle;
  width: 20px;
  height: 20px;
}
</style>
